---
title: 3rd Party Libraries
nav: 16
---

Zustand provides bear necessities for state management which is great for most projects; however, some users wish to extend the library's feature set. This can be done using 3rd-party libraries created by the community.

> Disclaimer: These libraries may have bugs, limited maintenance, or other limitations and are not officially recommended by pmndrs or the zustand maintainers. This list is to provide a good starting point for someone looking to extend zustand's feature set.

- [@colorfy-software/zfy](https://colorfy-software.gitbook.io/zfy/) - 🧸 Useful helpers for state management in React with zustand.
- [@dhmk/zustand-lens](https://github.com/dhmk083/dhmk-zustand-lens) - Lens support for zustand
- [@liveblocks/zustand](https://github.com/liveblocks/liveblocks/tree/main/packages/liveblocks-zustand) - Liveblocks middleware to make your application multiplayer.
- [auto-zustand-selectors-hook](https://github.com/Albert-Gao/auto-zustand-selectors-hook) - Auto generate zustand hooks for you store with Typescript support
- [geschichte](https://github.com/BowlingX/geschichte) - zustand and immer based hook to manage query parameters
- [mobz](https://github.com/2A5F/Mobz) - zustand style mobx api
- [shared-zustand](https://github.com/Tom-Julux/shared-zustand) - cross-tab state sharing for zustand
- [simple-zustand-devtools](https://github.com/beerose/simple-zustand-devtools) - Inspect your zustand store in React DevTools 🐻⚛️
- [solid-zustand](https://github.com/wobsoriano/solid-zustand) - Zustand state management for Solid.
- [vue-zustand](https://github.com/wobsoriano/vue-zustand) - State-management solution for Vue based on Zustand.
- [zoov](https://github.com/InfiniteXyy/zoov) - Use 🐻 Zustand with Module-like api
- [zundo](https://github.com/charkour/zundo) - 🍜 enable time-travel in your apps. undo/redo middleware for zustand
- [zustand-constate](https://github.com/ntvinhit/zustand-constate) - Context based state management that use the power of both zustand and constate, and remove many cons of them
- [zustand-forms](https://github.com/Conduct/zustand-forms) - fast typesafe form states as zustand stores
- [zustand-middleware-computed-state](https://github.com/cmlarsen/zustand-middleware-computed-state) - This is a dead simple middleware for adding computed state to state management library Zustand.
- [zustand-middleware-xstate](https://github.com/biowaffeln/zustand-middleware-xstate) - This middleware allows you to easily put your xstate state machines into a global zustand store.
- [zustand-middleware-yjs](https://github.com/joebobmiles/zustand-middleware-yjs) - Middleware for synchronizing Zustand stores with Yjs.
- [zustand-persist](https://github.com/roadmanfong/zustand-persist) - Persist and rehydrate state
- [zustand-saga](https://github.com/Nowsta/zustand-saga) - Zustand middleware for redux-saga (minus redux)
- [zustand-store-addons](https://github.com/Diablow/zustand-store-addons) - React state management addons for zustand.
- [zustand-yjs](https://github.com/tandem-pt/zustand-yjs) - Zustand stores for Yjs structures.
- [zusteller](https://github.com/timkindberg/zusteller) - Your global state savior. "Just hooks" + zustand.
- [zustood](https://github.com/udecode/zustood) - 🐻‍❄️ A modular store factory using zustand
- [zustand-rx](https://github.com/patdx/zustand-rx) - Zustand middleware with Rxjs
